> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getello.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Call

> Creates a new call 



## OpenAPI

````yaml /api-reference/openapi.json post /api/agents/{agent_id}/calls
openapi: 3.1.0
info:
  title: Ello.AI API
  description: API for managing agents and calls in Ello.AI
  version: 1.0.0
servers:
  - url: https://api.getello.ai/
security: []
paths:
  /api/agents/{agent_id}/calls:
    post:
      tags:
        - Calls
      summary: Create Call
      description: 'Creates a new call '
      parameters:
        - name: agent_id
          in: path
          required: true
          description: Unique identifier of the agent initiating the call.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - to_number
                - agent_type
              example: {}
              properties:
                message:
                  type: string
                  example: Hello! Am I speaking to Sri?
                to_number:
                  type: string
                  example: '+911234556789'
                context_data:
                  type: object
                  example:
                    customer_name: Sri
                agent_type:
                  type: string
                  example: telephonic
                source:
                  type: string
                  example: web
                workspace_id:
                  type: string
                  example: 6970c2f3948cfbce1932d99d
                name:
                  type: string
                  example: Sri
                hook_url:
                  type: string
                  example: https://example.com/webhook/call-events
                siptrunk_id:
                  type: string
                  example: s3434ededs
                memory_id:
                  type: string
                  example: mem_123
                greeting_description:
                  type: string
                  example: Friendly greeting, sales tone
                call_type:
                  type: string
                  example: outbound
      responses:
        '200':
          description: Message published successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 200
                  message:
                    type: string
                    example: Message published successfully
                  data:
                    type: object
                    example:
                      conversation_id: 6900b87ca70928b1224f0619
                      call_status: success
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 400
                  message:
                    type: string
                    example: Invalid request parameters
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 401
                  message:
                    type: string
                    example: Unauthorized access
                  details:
                    type: string
                    example: Authentication token is missing or invalid
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 402
                  message:
                    type: string
                    example: Insufficient credits to initiate call
                  error_code:
                    type: string
                    example: INSUFFICIENT_CREDITS
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 500
                  message:
                    type: string
                    example: Error while publishing message to agent
      security:
        - apiKey: []
        - bearerAuth: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````